ChangeSet 1.1002.3.19, 2003/02/25 11:41:18-08:00, henning@meier-geinitz.de

[PATCH] USB: Fixed generation of devfs names in scanner driver

This patch fixes the generation of devfs names if dynamic minors are disabled.


 drivers/usb/image/scanner.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/image/scanner.c b/drivers/usb/image/scanner.c
--- a/drivers/usb/image/scanner.c	Fri Feb 28 14:49:50 2003
+++ b/drivers/usb/image/scanner.c	Fri Feb 28 14:49:50 2003
@@ -349,6 +349,7 @@
  * 0.4.11  2003-02-25
  *    - Added vendor/product ids for Artec, Avision, Brother, Medion, Primax,
  *      Prolink, Fujitsu, Plustek, and SYSCAN scanners.
+ *    - Fixed generation of devfs names if dynamic minors are disabled.
  *
  * TODO
  *    - Performance
@@ -1056,7 +1057,7 @@
 	scn->scn_minor = scn_minor;
 	scn->isopen = 0;
 
-	sprintf(name, "scanner%d", scn->scn_minor);
+	sprintf(name, "scanner%d", scn->scn_minor - SCN_BASE_MNR);
 	
 	scn->devfs = devfs_register(usb_devfs_handle, name,
 				    DEVFS_FL_DEFAULT, USB_MAJOR,
